Last Comment Bug 371253 - firefox won't start if compiled with --enable-chrome-format=flat
: firefox won't start if compiled with --enable-chrome-format=flat
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Linux
: -- minor (vote)
: ---
Assigned To: Benjamin Smedberg [:bsmedberg]
:
Mentors:
Depends on:
Blocks: 401821
  Show dependency treegraph
 
Reported: 2007-02-22 05:53 PST by Sergey Yanovich
Modified: 2007-10-30 21:48 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch installs flat chrome (2.32 KB, patch)
2007-04-05 01:03 PDT, Sergey Yanovich
no flags Details | Diff | Review
Error when trying to install flat chrome, rev. 1 (1.19 KB, patch)
2007-04-05 03:29 PDT, Benjamin Smedberg [:bsmedberg]
ted: review+
Details | Diff | Review

Description Sergey Yanovich 2007-02-22 05:53:38 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20070222 BonEcho/2.0
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20070222 BonEcho/2.0

"make -f client.mk install" does not copy chrome folders

Reproducible: Always

Steps to Reproduce:
1.make -f client.mk build
2.make -f client.mk install
3./path/to/firefox
Actual Results:  
/var/tmp/usr/lib/firefox-2.0/run-mozilla.sh: line 131: 31056 Segmentation fault      "$prog" ${1+"$@"}


Expected Results:  
browser screen appears
Comment 1 Sergey Yanovich 2007-02-22 05:56:28 PST
.mozconfig should have a line:
ac_add_options --enable-chrome-format=flat
Comment 2 Alex 2007-04-04 19:11:51 PDT
I'm seeing this with 3.0 alpha 3

backtrace:
alex@fairport:~$ firefox -g firefox-bin -d gdb
/opt/firefox3/lib/firefox-3.0a3/run-mozilla.sh -g -d gdb /opt/firefox3/lib/firefox-3.0a3/firefox-bin firefox-bin
MOZILLA_FIVE_HOME=/opt/firefox3/lib/firefox-3.0a3
  LD_LIBRARY_PATH=/opt/firefox3/lib/firefox-3.0a3:/opt/firefox3/lib/firefox-3.0a3/plugins:/opt/firefox3/lib/mre/mre-3.0a3
DISPLAY=:0.0
DYLD_LIBRARY_PATH=/opt/firefox3/lib/firefox-3.0a3:/opt/firefox3/lib/mre/mre-3.0a3
     LIBRARY_PATH=/opt/firefox3/lib/firefox-3.0a3:/opt/firefox3/lib/firefox-3.0a3/components:/opt/firefox3/lib/mre/mre-3.0a3
       SHLIB_PATH=/opt/firefox3/lib/firefox-3.0a3:/opt/firefox3/lib/mre/mre-3.0a3
          LIBPATH=/opt/firefox3/lib/firefox-3.0a3:/opt/firefox3/lib/mre/mre-3.0a3
       ADDON_PATH=/opt/firefox3/lib/firefox-3.0a3
      MOZ_PROGRAM=/opt/firefox3/lib/firefox-3.0a3/firefox-bin
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=gdb
/usr/bin/gdb /opt/firefox3/lib/firefox-3.0a3/firefox-bin -x /tmp/mozargs.ap7303
GNU gdb 6.6-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(gdb) run
Starting program: /opt/firefox3/lib/firefox-3.0a3/firefox-bin 'firefox-bin'
[Thread debugging using libthread_db enabled]
[New Thread -1222261040 (LWP 7314)]
[New Thread -1224979568 (LWP 7317)]
[New Thread -1235354736 (LWP 7318)]
[New Thread -1257297008 (LWP 7319)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1222261040 (LWP 7314)]
0xb57993a6 in nsFrame::BoxReflow ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
(gdb) bt
#0  0xb57993a6 in nsFrame::BoxReflow ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#1  0xb579b871 in nsFrame::DoLayout ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#2  0xb5880ba7 in nsIFrame::Layout ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#3  0xb588228f in nsBoxFrame::LayoutChildAt ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#4  0xb57a6da3 in nsGfxScrollFrameInner::LayoutScrollbars ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#5  0xb57aa13a in nsHTMLScrollFrame::Reflow ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#6  0xb57953a9 in nsContainerFrame::ReflowChild ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#7  0xb57d86d0 in ViewportFrame::Reflow ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#8  0xb5777513 in PresShell::InitialReflow ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#9  0xb58be7a5 in nsContentSink::StartLayout ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#10 0xb599e56a in HTMLContentSink::StartLayout ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#11 0xb59a2b24 in HTMLContentSink::OpenBody ()
---Type <return> to continue, or q <return> to quit---
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#12 0xb59a2bd7 in HTMLContentSink::OpenContainer ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libgklayout.so
#13 0xb47a35b8 in CNavDTD::OpenBody ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#14 0xb47a5e7b in CNavDTD::OpenContainer ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#15 0xb47a728c in CNavDTD::HandleDefaultStartToken ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#16 0xb47a7670 in CNavDTD::HandleStartToken ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#17 0xb47a7b45 in CNavDTD::HandleToken ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#18 0xb47a445f in CNavDTD::BuildModel ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#19 0xb47b0d1f in nsParser::BuildModel ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#20 0xb47b33f8 in nsParser::ResumeParse ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#21 0xb47b0b91 in nsParser::OnDataAvailable ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libhtmlpars.so
#22 0xb5d7b206 in nsDocumentOpenInfo::OnDataAvailable ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libdocshell.so
---Type <return> to continue, or q <return> to quit---
#23 0xb7021ea0 in nsBaseChannel::OnDataAvailable ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libnecko.so
#24 0xb70296c8 in nsInputStreamPump::OnStateTransfer ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libnecko.so
#25 0xb70297ef in nsInputStreamPump::OnInputStreamReady ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libnecko.so
#26 0xb7db430f in nsInputStreamReadyEvent::Run ()
   from /opt/firefox3/lib/firefox-3.0a3/libxpcom_core.so
#27 0xb7dce22d in nsThread::ProcessNextEvent ()
   from /opt/firefox3/lib/firefox-3.0a3/libxpcom_core.so
#28 0xb7d91ab7 in NS_ProcessNextEvent_P ()
   from /opt/firefox3/lib/firefox-3.0a3/libxpcom_core.so
#29 0xb6730e87 in nsBaseAppShell::Run ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libwidget_gtk2.so
#30 0xb6624019 in nsAppStartup::Run ()
   from /opt/firefox3/lib/firefox-3.0a3/components/libtoolkitcomps.so
#31 0xb7ed7183 in XRE_main () from /opt/firefox3/lib/firefox-3.0a3/libxul.so
#32 0x08048683 in main ()

Furthermore a debug build gives me lots of messages about missing chrome files
Comment 3 Sergey Yanovich 2007-04-05 01:03:13 PDT
Created attachment 260685 [details] [diff] [review]
patch installs flat chrome

Not a cure, but may give a clue.

Ported from debian firefox 2.0
Debian installs chrome flat.
Comment 4 Benjamin Smedberg [:bsmedberg] 2007-04-05 03:29:36 PDT
Created attachment 260688 [details] [diff] [review]
Error when trying to install flat chrome, rev. 1

Flat chrome is supported for debugging only, and should not be used in installed environments. This adds a makefile error to that effect. That debian uses flat chrome is a longstanding bug in their distribution.
Comment 5 Benjamin Smedberg [:bsmedberg] 2007-04-05 06:21:54 PDT
FIXED on trunk.

Note You need to log in before you can comment on or make changes to this bug.